<div>
<p align="center">
  <a href="#">
    <img src="http://gitlab_tirrell:9090/tirrell/lab/design-system-pattern/raw/master/my-app/src/components/Header/tirrell.png" alt="" width=72 height=72>
  </a>

  <h3 align="center">Design Pattern System</h3>

  <p align="center">
    O <i>Design Pattern System</i> é um padrão de estilo para Front-end.
  </p>
</p>
</div>

<br>

## Instalação rápida

### Requisitos

- O <i>Design Pattern System</i> utiliza o [Sass](http://sass-lang.com/) como pré processador de estilo portanto, o projeto deve possuir algum compilador de Sass (Ex.: [sass-loader](https://github.com/webpack-contrib/sass-loader), [gulp-sass](https://www.npmjs.com/package/gulp-sass)).

### Instalando

```
npm install trl-design-system-pattern

```

## Configurando

Para começar a utilizar o padrão do <i>Design Pattern System</i> faça a importação do arquivo <code>scss</code>: 

```javascript
// Import Vue
@import "~trl-design-system-pattern/main";

// Import React
import 'trl-design-system-pattern/main.scss';
```

## Utilização

Pronto! Agora você pode utilizar o <i>Design Pattern System</i> acesse [link] para ver a documentação dos padrões.

## Atualizando o código do Pattern´s

Toda alteração que for feita no código do Pattern´s (Pasta core), devemos rodar o seguinte comando na pasta <i>src/core</i>

```
npm publish
```